## infamousplugins-0.3.0-3.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(infamous-plugins)

set(LIBDIR lib CACHE STRING "Specifies the name of the library path")

foreach(plug casynth envfollower hip2b powerup powercut cheapdist stuck ewham lushlife bentdelay mindi octolo)
    add_subdirectory(src/${plug})
endforeach(plug)

add_executable(infamous-rule
    src/rule.c
)
install(TARGETS infamous-rule
  DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== src/ewham/CMakeLists.txt ===
#CMake file for infamous ewham
cmake_minimum_required(VERSION 2.8)

set(PLUGIN "ewham")

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/")

include(CheckCCompilerFlag)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -Og")
#CHECK_CXX_COMPILER_FLAG("-msse2 -mfpmath=sse" SUPPORTS_SSE )
#CHECK_CXX_COMPILER_FLAG("-ffast-math" SUPPORTS_FAST_MATH )
check_c_compiler_flag("-msse2 -mfpmath=sse" SUPPORTS_SSE )
check_c_compiler_flag("-ffast-math" SUPPORTS_FAST_MATH )
if(SUPPORTS_SSE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2 -mfpmath=sse")
endif(SUPPORTS_SSE)
if(SUPPORTS_FAST_MATH)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ffast-math")
endif(SUPPORTS_FAST_MATH) 
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -g")

if(NOT LIBDIR)
  set(LIBDIR "lib")
endif(NOT LIBDIR)

# check for our various libraries
find_package(PkgConfig)
pkg_check_modules(CAIRO cairo)
pkg_check_modules(NTK ntk)
pkg_check_modules(FFTW fftw3f)
pkg_check_modules(LV2 REQUIRED lv2>=.0.1.0)

include_directories (${LV2_INCLUDE_DIRS} ${FFTW_INCLUDE_DIRS} ${NTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ../ffffltk ../draw . )
link_directories (${LV2_LIBRARY_DIRS} ${FFTW_LIBRARY_DIRS} ${NTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS})

# config libraries

add_library(${PLUGIN} SHARED
  ewham.c
  retuner.c
)

set_target_properties(${PLUGIN} PROPERTIES PREFIX "")
set_target_properties(${PLUGIN} PROPERTIES BUILD_WITH_INSTALL_RPATH TRUE)
target_link_libraries(${PLUGIN} ${LV2_LIBRARIES} ${FFTW_LIBRARIES} m zita-resampler)

# config install
install(TARGETS ${PLUGIN}
  LIBRARY
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
)
install (FILES manifest.ttl ${PLUGIN}.ttl
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
)

if(NOT CAIRO_FOUND OR NOT NTK_FOUND)
    message(WARNING "UI Libraries Missing, no GUI will be installed")
    if(NOT SUPPORTS_SSE) #hopefully its a mod, so install the modguistuff
        install (DIRECTORY modgui/
          DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2/modgui
        )
    endif()
endif() 
#    find_program(FLTK_FLUID_EXECUTABLE ntk-fluid)
#    fltk_wrap_ui(${PLUGIN}_ui ${PLUGIN}_ui.fl)
#
#    add_library(${PLUGIN}_ui SHARED
#      stuck.h
#      stuck_ui_main.cxx
#      ${${PLUGIN}_ui_FLTK_UI_SRCS}
#    )
#    set_target_properties(${PLUGIN}_ui PROPERTIES PREFIX "")
#    set_target_properties(${PLUGIN}_ui PROPERTIES BUILD_WITH_INSTALL_RPATH TRUE) 
#    target_link_libraries(${PLUGIN}_ui ${LV2_LIBRARIES} ${NTK_LIBRARIES} ${CAIRO_LIBRARIES} m)
#
#    install(TARGETS ${PLUGIN}_ui
#      LIBRARY
#      DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
#    )
#
#else()
#    message(WARNING "UI Libraries Missing, no GUI will be installed")
#endif()

=== src/hip2b/CMakeLists.txt ===
#CMake file for infamous
cmake_minimum_required(VERSION 2.8)

set(PLUGIN "hip2b")

include(CheckCCompilerFlag)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -Og")
check_c_compiler_flag("-msse2 -mfpmath=sse" SUPPORTS_SSE )
check_c_compiler_flag("-ffast-math" SUPPORTS_FAST_MATH )
if(SUPPORTS_SSE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2 -mfpmath=sse")
endif(SUPPORTS_SSE)
if(SUPPORTS_FAST_MATH)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ffast-math")
endif(SUPPORTS_FAST_MATH) 
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -g")

if(NOT LIBDIR)
  set(LIBDIR "lib")
endif(NOT LIBDIR)

# check for our various libraries
find_package(PkgConfig)
pkg_check_modules(CAIRO cairo)
pkg_check_modules(NTK ntk)
pkg_check_modules(LV2 REQUIRED lv2>=.0.1.0)

include_directories (${LV2_INCLUDE_DIRS} ${NTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ../ffffltk ../draw . )
link_directories (${LV2_LIBRARY_DIRS} ${NTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS})

# config libraries

add_library(${PLUGIN} SHARED
  square.c
  hip2b.h
)

set_target_properties(${PLUGIN} PROPERTIES PREFIX "")
set_target_properties(${PLUGIN} PROPERTIES BUILD_WITH_INSTALL_RPATH TRUE)
target_link_libraries(${PLUGIN} ${LV2_LIBRARIES} m)

# config install
install(TARGETS ${PLUGIN}
  LIBRARY
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
)
install (FILES manifest.ttl ${PLUGIN}.ttl ${PLUGIN}_presets.ttl
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
)

if(CAIRO_FOUND AND NTK_FOUND)
    find_program(FLTK_FLUID_EXECUTABLE ntk-fluid)
    fltk_wrap_ui(${PLUGIN}_ui ${PLUGIN}_ui.fl)

    add_library(${PLUGIN}_ui SHARED
      hip2b.h
      hip2b_ui_main.cxx
      ${${PLUGIN}_ui_FLTK_UI_SRCS}
    )
    set_target_properties(${PLUGIN}_ui PROPERTIES PREFIX "")
    set_target_properties(${PLUGIN}_ui PROPERTIES BUILD_WITH_INSTALL_RPATH TRUE) 
    target_link_libraries(${PLUGIN}_ui ${LV2_LIBRARIES} ${NTK_LIBRARIES} ${CAIRO_LIBRARIES} m)

    install(TARGETS ${PLUGIN}_ui
      LIBRARY
      DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
    )

else()
    message(WARNING "UI Libraries Missing, no GUI will be installed")
    if(NOT SUPPORTS_SSE) #hopefully its a mod, so install the modguistuff
        install (DIRECTORY
          modgui/
          DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2/modgui
        )
    endif()
endif()

=== src/mindi/CMakeLists.txt ===
#CMake file for infamous 
cmake_minimum_required(VERSION 2.8)

set(PLUGIN "mindi")

include(CheckCCompilerFlag)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -std=c99")
check_c_compiler_flag("-msse2 -mfpmath=sse" SUPPORTS_SSE )
check_c_compiler_flag("-ffast-math" SUPPORTS_FAST_MATH )
if(SUPPORTS_SSE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2 -mfpmath=sse")
endif(SUPPORTS_SSE)
if(SUPPORTS_FAST_MATH)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ffast-math")
endif(SUPPORTS_FAST_MATH) 
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -g")

if(NOT LIBDIR)
  set(LIBDIR "lib")
endif(NOT LIBDIR)

# check for our various libraries
find_package(PkgConfig)
pkg_check_modules(CAIRO cairo)
pkg_check_modules(NTK ntk)
pkg_check_modules(LV2 REQUIRED lv2>=.0.1.0)

include_directories (${LV2_INCLUDE_DIRS} ${NTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ../ffffltk ../draw . )
link_directories (${LV2_LIBRARY_DIRS} ${NTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS})

# config libraries

add_library(${PLUGIN} SHARED
  mindi.c
)

set_target_properties(${PLUGIN} PROPERTIES PREFIX "")
set_target_properties(${PLUGIN} PROPERTIES BUILD_WITH_INSTALL_RPATH TRUE)
target_link_libraries(${PLUGIN} ${LV2_LIBRARIES} m)

# config install
install(TARGETS ${PLUGIN}
  LIBRARY
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
)
install (FILES manifest.ttl ${PLUGIN}.ttl
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
)

if(NOT CAIRO_FOUND OR NOT NTK_FOUND)
    message(WARNING "UI Libraries Missing, no GUI will be installed")
    if(NOT SUPPORTS_SSE) #hopefully its a mod, so install the modguistuff
        install (DIRECTORY modgui/
          DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2/modgui
        )
    endif()
endif()
#else()
#    find_program(FLTK_FLUID_EXECUTABLE ntk-fluid)
#    fltk_wrap_ui(${PLUGIN}_ui ${PLUGIN}_ui.fl)
#    fltk_wrap_ui(${PLUGIN}CV_ui ${PLUGIN}CV_ui.fl)
#
#    add_library(${PLUGIN}_ui SHARED
#      envfollower.h
#      envfollower_ui_main.cxx
#      ${${PLUGIN}_ui_FLTK_UI_SRCS}
#    )
#
#    add_library(${PLUGIN}CV_ui SHARED
#      envfollower.h
#      envfollower_ui_main.cxx
#      ${${PLUGIN}CV_ui_FLTK_UI_SRCS}
#    )
#
#    set_target_properties(${PLUGIN}_ui PROPERTIES PREFIX "")
#    set_target_properties(${PLUGIN}_ui PROPERTIES BUILD_WITH_INSTALL_RPATH TRUE) 
#    target_link_libraries(${PLUGIN}_ui ${LV2_LIBRARIES} ${NTK_LIBRARIES} ${CAIRO_LIBRARIES} m) #
#
#    install(TARGETS ${PLUGIN}_ui
#      LIBRARY
#      DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
#    )
#
#else()
#    message(WARNING "UI Libraries Missing, no GUI will be installed")
#endif()

=== src/powercut/CMakeLists.txt ===
#CMake file for infamous 
cmake_minimum_required(VERSION 2.8)

set(PLUGIN "powercut")

include(CheckCCompilerFlag)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -Og")
check_c_compiler_flag("-msse2 -mfpmath=sse" SUPPORTS_SSE )
check_c_compiler_flag("-ffast-math" SUPPORTS_FAST_MATH )
if(SUPPORTS_SSE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2 -mfpmath=sse")
endif(SUPPORTS_SSE)
if(SUPPORTS_FAST_MATH)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ffast-math")
endif(SUPPORTS_FAST_MATH) 
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -g")

if(NOT LIBDIR)
  set(LIBDIR "lib")
endif(NOT LIBDIR)

# check for our various libraries
find_package(PkgConfig)
pkg_check_modules(CAIRO cairo)
pkg_check_modules(NTK ntk)
pkg_check_modules(LV2 REQUIRED lv2>=.0.1.0)

include_directories (${LV2_INCLUDE_DIRS} ${NTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ../ffffltk ../draw . )
link_directories (${LV2_LIBRARY_DIRS} ${NTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS})

# config libraries

add_library(${PLUGIN} SHARED
  powercut.c
  powercut.h
)

set_target_properties(${PLUGIN} PROPERTIES PREFIX "")
set_target_properties(${PLUGIN} PROPERTIES BUILD_WITH_INSTALL_RPATH TRUE)
target_link_libraries(${PLUGIN} ${LV2_LIBRARIES} m)

# config install
install(TARGETS ${PLUGIN}
  LIBRARY
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
)
install (FILES manifest.ttl ${PLUGIN}.ttl
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
)

if(CAIRO_FOUND AND NTK_FOUND)
    find_program(FLTK_FLUID_EXECUTABLE ntk-fluid)
    fltk_wrap_ui(${PLUGIN}_ui ${PLUGIN}_ui.fl)

    add_library(${PLUGIN}_ui SHARED
      powercut.h
      powercut_ui_main.cxx
      ${${PLUGIN}_ui_FLTK_UI_SRCS}
    )
    set_target_properties(${PLUGIN}_ui PROPERTIES PREFIX "")
    set_target_properties(${PLUGIN}_ui PROPERTIES BUILD_WITH_INSTALL_RPATH TRUE) 
    target_link_libraries(${PLUGIN}_ui ${LV2_LIBRARIES} ${NTK_LIBRARIES} ${CAIRO_LIBRARIES} m)

    install(TARGETS ${PLUGIN}_ui
      LIBRARY
      DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
    )

else()
    message(WARNING "UI Libraries Missing, no GUI will be installed")
    if(NOT SUPPORTS_SSE) #hopefully its a mod, so install the modguistuff
        install (DIRECTORY
          modgui/
          DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2/modgui
        )
    endif()
endif()

=== src/stuck/CMakeLists.txt ===
#CMake file for infamous stuck
cmake_minimum_required(VERSION 2.8)

set(PLUGIN "stuck")

include(CheckCCompilerFlag)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -Og")
check_c_compiler_flag("-msse2 -mfpmath=sse" SUPPORTS_SSE )
check_c_compiler_flag("-ffast-math" SUPPORTS_FAST_MATH )
if(SUPPORTS_SSE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2 -mfpmath=sse")
endif(SUPPORTS_SSE)
if(SUPPORTS_FAST_MATH)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ffast-math")
endif(SUPPORTS_FAST_MATH) 
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -g")

if(NOT LIBDIR)
  set(LIBDIR "lib")
endif(NOT LIBDIR)

# check for our various libraries
find_package(PkgConfig)
pkg_check_modules(CAIRO cairo)
pkg_check_modules(NTK ntk)
pkg_check_modules(LV2 REQUIRED lv2>=.0.1.0)

include_directories (${LV2_INCLUDE_DIRS} ${NTK_INCLUDE_DIRS} ${CAIRO_INCLUDE_DIRS} ../ffffltk ../draw . ) 
link_directories (${LV2_LIBRARY_DIRS} ${NTK_LIBRARY_DIRS} ${CAIRO_LIBRARY_DIRS})

# config libraries

add_library(${PLUGIN} SHARED
  stuck.c
  stuck.h
  rms_calc.c
  rms_calc.h
) 

set_target_properties(${PLUGIN} PROPERTIES PREFIX "")
set_target_properties(${PLUGIN} PROPERTIES BUILD_WITH_INSTALL_RPATH TRUE)
target_link_libraries(${PLUGIN} ${LV2_LIBRARIES} m)

# config install
install(TARGETS ${PLUGIN}
  LIBRARY
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
)
install (FILES manifest.ttl ${PLUGIN}.ttl
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
)

if(CAIRO_FOUND AND NTK_FOUND)
    find_program(FLTK_FLUID_EXECUTABLE ntk-fluid)
    fltk_wrap_ui(${PLUGIN}_ui ${PLUGIN}_ui.fl)

    add_library(${PLUGIN}_ui SHARED
      stuck.h
      stuck_ui_main.cxx
      ${${PLUGIN}_ui_FLTK_UI_SRCS}
    )
    set_target_properties(${PLUGIN}_ui PROPERTIES PREFIX "")
    set_target_properties(${PLUGIN}_ui PROPERTIES BUILD_WITH_INSTALL_RPATH TRUE) 
    target_link_libraries(${PLUGIN}_ui ${LV2_LIBRARIES} ${NTK_LIBRARIES} ${CAIRO_LIBRARIES} m)

    install(TARGETS ${PLUGIN}_ui
      LIBRARY
      DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2
    )

else()
    message(WARNING "UI Libraries Missing, no GUI will be installed")
    if(NOT SUPPORTS_SSE) #hopefully its a mod, so install the modguistuff
        install (FILES 
          modgui/${PLUGIN}.html 
          modgui/stuckstacker.html 
          modgui/${PLUGIN}.css
          modgui/stuckbg.svg
          modgui/stacker.svg
          modgui/led-bypassed.png
          modgui/led-enabled.png
          modgui/switch-key.png
          modgui/tabDial64.svg
          modgui/screenshot-stuck.png
          modgui/thumbnail-stuck.png
          DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIBDIR}/lv2/${PLUGIN}.lv2/modgui
        )
    endif()
endif()

=== PKGBUILD ===
# Maintainer: David Runge <dvzrv@archlinux.org>

_name=infamousPlugins
pkgname=infamousplugins
pkgver=0.3.0
pkgrel=3
pkgdesc="A collection of open-source LV2 plugins"
arch=('x86_64')
url="https://ssj71.github.io/infamousPlugins/"
license=('GPL2')
groups=('lv2-plugins' 'pro-audio')
depends=('gcc-libs' 'glibc')
makedepends=('cmake' 'fftw' 'lv2' 'ntk' 'zita-resampler')
source=("$pkgname-$pkgver.tar.gz::https://github.com/ssj71/${_name}/archive/v${pkgver}.tar.gz"
        "${pkgname}-0.3.0-lv2-1.18.0.patch::https://github.com/ssj71/infamousPlugins/pull/39/commits/06dd967b4736ea886dc1dc07f882cb1563961582.patch")
sha512sums=('54a691bd5a1e0d5274c74d3de3c1dc77c6998bd588a315b6b39de67a78651c6fcb412c527b7a6083666b2ba8aad39e3b32b6efbd6bb12c96653ddbe76524dbbb'
            'a61d53f51950b5c0e8ccc37734fee5cf96f6abb6c9bdbfa34e06bce3806aad94a896e152754ddc92d600691b1240f4ef5dcb5fec85552b9adf01de0c5eae1db1')

prepare() {
  mv -v "${_name}-${pkgver}" "${pkgname}-${pkgver}"
  cd "${pkgname}-${pkgver}"
  patch -Np1 -i "../${pkgname}-0.3.0-lv2-1.18.0.patch"
}

build() {
  export CFLAGS+=" ${CPPFLAGS}"
  export CXXFLAGS+=" ${CPPFLAGS}"
  cd "$pkgname-$pkgver"
  cmake -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_BUILD_TYPE=Release \
        -Wno-dev \
        -Bbuild \
        -S .
  make VERBOSE=1 -C build
}

package() {
  depends+=('libfftw3f.so' 'libntk.so' 'libzita-resampler.so')
  cd "$pkgname-$pkgver"
  make DESTDIR="$pkgdir/" install -C build
  install -vDm 644 {CHANGELOG,README} \
    -t "${pkgdir}/usr/share/doc/${pkgname}/"
}
